package com.duiba.tuia.youtui.web.model.rsp;

import com.alibaba.fastjson.JSONObject;

public class LoginMidPageRsp {

    private Integer sex;
    /**
     * 昵称
     */
    private String nickName;
    /**
     * 头像
     */
    private String img;
    /**登录类型
     *@see cn.com.duiba.tuia.activity.center.api.constant.SlotLoginType
     */
    private Integer loginType;

    /**
     * 埋点
     */
    JSONObject embed;

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public Integer getLoginType() {
        return loginType;
    }

    public void setLoginType(Integer loginType) {
        this.loginType = loginType;
    }

    public JSONObject getEmbed() {
        return embed;
    }

    public void setEmbed(JSONObject embed) {
        this.embed = embed;
    }
}
